package com.ygtx.gxt.domain;

import java.math.BigDecimal;

import com.ygtx.common.annotation.Excel;

/**
 * 人员工单工分实体类
 * @author ruoyi
 */
public class GxtOrderPerson {
    /** 用户ID */
    private Long userId;

    private String nickName;

    /** 工单编码 */
    @Excel(name = "工单编码")
    private String orderCode;

    /** 维保中心 */
    @Excel(name = "维保中心")
    private String center;

    /** 所属场站 */
    @Excel(name = "所属场站")
    private String parent;

    /** 作业场站 */
    @Excel(name = "作业场站")
    private String pcs;

    /** 工单类型 */
    @Excel(name = "工单类型")
    private String orderType;

    /** 完成日期 */
    @Excel(name = "日期")
    private String finishDate;

    @Excel(name = "工分项类型")
    private String scoreType;

    /** 得分 */
    @Excel(name = "工分项分值")
    private BigDecimal score;

    private Integer status;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getCenter() {
        return center;
    }

    public void setCenter(String center) {
        this.center = center;
    }

    public String getParent() {
        return parent;
    }

    public void setParent(String parent) {
        this.parent = parent;
    }

    public String getPcs() {
        return pcs;
    }

    public void setPcs(String pcs) {
        this.pcs = pcs;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getScoreType() {
        return scoreType;
    }

    public void setScoreType(String scoreType) {
        this.scoreType = scoreType;
    }

    public String getFinishDate() {
        return finishDate;
    }

    public void setFinishDate(String finishDate) {
        this.finishDate = finishDate;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}